Notice: Starting with version 1.2.4, Glyssen requires .NET 4.7.2 or greater.

DOWNLOAD
Glyssen 1.2.4 for Windows
38.11 MB   11 Dec 2019
Glyssen 1.2.4 for Windows MSI | 38.11 MB | 11 Dec 2019
Glyssen 1.2.2 for Windows MSI | 38.33 MB | 13 Nov 2019
Glyssen 1.2.1 for Windows MSI | 38.32 MB | 5 Nov 2019